<!-- prettier-ignore-start -->
# Class AgentUserStatusCodes

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.customer.AgentUserStatusCodes](dw.customer.AgentUserStatusCodes.md)
    - [dw.system.AgentUserStatusCodes](dw.system.AgentUserStatusCodes.md)

AgentUserStatusCodes contains constants representing status codes that can be
used with a [Status](dw.system.Status.md) object to indicate the success or failure of the agent
user login process.


**See Also:**
- [Status](dw.system.Status.md)

**Deprecated:**
:::warning
see [AgentUserStatusCodes](dw.customer.AgentUserStatusCodes.md) - this class should only be used for the LoginAgentUser / LoginOnBehalfCustomer pipelets
:::

## Constructor Summary

| Constructor | Description |
| --- | --- |
| [AgentUserStatusCodes](#agentuserstatuscodes)() |  |

## Method Summary

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Constructor Details

### AgentUserStatusCodes()
- AgentUserStatusCodes()
  - : 


---

<!-- prettier-ignore-end -->
